//+------------------------------------------------------------------+
//|                                               FIbProbability.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern int Magic = 1111;
extern int xDistance = 5;
extern int yDistance = 30;
extern int FontSize = 20;
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
ObjectDelete("DailyAvg"+Magic);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   {
   double AVG=((iHigh(NULL,PERIOD_D1,30)-iLow(NULL,PERIOD_D1,30))+
              (iHigh(NULL,PERIOD_D1,29)-iLow(NULL,PERIOD_D1,29))+
              (iHigh(NULL,PERIOD_D1,28)-iLow(NULL,PERIOD_D1,28))+
              (iHigh(NULL,PERIOD_D1,27)-iLow(NULL,PERIOD_D1,27))+
              (iHigh(NULL,PERIOD_D1,26)-iLow(NULL,PERIOD_D1,26))+
              (iHigh(NULL,PERIOD_D1,25)-iLow(NULL,PERIOD_D1,25))+
              (iHigh(NULL,PERIOD_D1,24)-iLow(NULL,PERIOD_D1,24))+
              (iHigh(NULL,PERIOD_D1,23)-iLow(NULL,PERIOD_D1,23))+
              (iHigh(NULL,PERIOD_D1,22)-iLow(NULL,PERIOD_D1,22))+
              (iHigh(NULL,PERIOD_D1,21)-iLow(NULL,PERIOD_D1,21))+
              (iHigh(NULL,PERIOD_D1,20)-iLow(NULL,PERIOD_D1,10))+
              (iHigh(NULL,PERIOD_D1,19)-iLow(NULL,PERIOD_D1,19))+
              (iHigh(NULL,PERIOD_D1,18)-iLow(NULL,PERIOD_D1,18))+
              (iHigh(NULL,PERIOD_D1,17)-iLow(NULL,PERIOD_D1,17))+
              (iHigh(NULL,PERIOD_D1,16)-iLow(NULL,PERIOD_D1,16))+
              (iHigh(NULL,PERIOD_D1,15)-iLow(NULL,PERIOD_D1,15))+
              (iHigh(NULL,PERIOD_D1,14)-iLow(NULL,PERIOD_D1,14))+
              (iHigh(NULL,PERIOD_D1,13)-iLow(NULL,PERIOD_D1,13))+
              (iHigh(NULL,PERIOD_D1,12)-iLow(NULL,PERIOD_D1,12))+
              (iHigh(NULL,PERIOD_D1,11)-iLow(NULL,PERIOD_D1,11))+
              (iHigh(NULL,PERIOD_D1,10)-iLow(NULL,PERIOD_D1,10))+
              (iHigh(NULL,PERIOD_D1,9)-iLow(NULL,PERIOD_D1,9))+
              (iHigh(NULL,PERIOD_D1,8)-iLow(NULL,PERIOD_D1,8))+
              (iHigh(NULL,PERIOD_D1,7)-iLow(NULL,PERIOD_D1,7))+
              (iHigh(NULL,PERIOD_D1,6)-iLow(NULL,PERIOD_D1,6))+
              (iHigh(NULL,PERIOD_D1,5)-iLow(NULL,PERIOD_D1,5))+
              (iHigh(NULL,PERIOD_D1,4)-iLow(NULL,PERIOD_D1,4))+
              (iHigh(NULL,PERIOD_D1,3)-iLow(NULL,PERIOD_D1,3))+
              (iHigh(NULL,PERIOD_D1,2)-iLow(NULL,PERIOD_D1,2))+
              (iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1)))/30;
              
      ObjectCreate("DailyAvg"+Magic, OBJ_LABEL, 0, 0, 0);
      ObjectSetText("DailyAvg"+Magic,DoubleToStr((AVG/Point)-((iHigh(NULL,PERIOD_D1,0)-iLow(NULL,PERIOD_D1,0))/Point),Digits),FontSize, "Tahoma", Yellow);
      ObjectSet("DailyAvg"+Magic, OBJPROP_CORNER, 0);
      ObjectSet("DailyAvg"+Magic, OBJPROP_XDISTANCE,  xDistance);
      ObjectSet("DailyAvg"+Magic, OBJPROP_YDISTANCE,  yDistance);  
  } 
   return(0);
  }
//+------------------------------------------------------------------+